complexType "FormulaTerm"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 2 elements
Defined: | globally in fpml-riskdef-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | coefficient?, partialDerivativeReference*
</...>

Content Model Elements (2):

  coefficient,
  partialDerivativeReference (in term in formula in sensitivityDefinition)

All Direct / Indirect Based Elements (1):

  term (in formula in sensitivityDefinition)

Known Usage Locations

- As direct type of elements (1):
  term (in formula in sensitivityDefinition)

Annotation
A type defining a term of the formula. Its value is the product of the its coefficient and the referenced partial derivatives.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="FormulaTerm"> <xsd:sequence> <xsd:element minOccurs="0" name="coefficient" type="xsd:decimal"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partialDerivativeReference" type="PricingParameterDerivativeReference"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
coefficient

  Type: | xsd:decimal, predefined, simple content

  The coefficient by which this term is multiplied, typically 1 or -1.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="coefficient" type="xsd:decimal"/>

partialDerivativeReference

  Type: | PricingParameterDerivativeReference, empty content

  A reference to the partial derivative.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="partialDerivativeReference" type="PricingParameterDerivativeReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.